// MapConverterDlg.h : header file
//

#if !defined(AFX_MAPCONVERTERDLG_H__A6E71806_D957_11D1_B6B2_00400522879C__INCLUDED_)
#define AFX_MAPCONVERTERDLG_H__A6E71806_D957_11D1_B6B2_00400522879C__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

/////////////////////////////////////////////////////////////////////////////
// CMapConverterDlg dialog

class MapMakerMap;

class CMapConverterDlg : public CDialog
{
// Construction
public:
	CMapConverterDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CMapConverterDlg)
	enum { IDD = IDD_MAPCONVERTER_DIALOG };
	CEdit	m_EditBox2;
	CEdit	m_EditBox1;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CMapConverterDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CMapConverterDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnRadio1();
	afx_msg void OnRadio2();
	afx_msg void OnRadio3();
	afx_msg void OnRadio4();
	afx_msg void OnMapfilebutton();
	afx_msg void OnOutputfilebutton();
	afx_msg void OnConvertbutton();
	afx_msg void OnAbout();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
private:
	CString m_OutputFile;
	CString m_MapMakerFile;
	int m_Layer;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_MAPCONVERTERDLG_H__A6E71806_D957_11D1_B6B2_00400522879C__INCLUDED_)
